!+ Function to find the Saturation Vapour Pressure.
!
! Method:
!	The formula given in Gill's "Atmosphere-ocean Dynamics"
!	is used.
!
! Current Owner of Code: J. M. Edwards
!
! History:
!	 Version 	   Date	  		Comment
!   
!	 1.0		   12-04-95		First Version under RCS
!						(J. M. Edwards)
!
! Description of Code:
!   FORTRAN 77 with extensions listed in documentation. 
!
!- ---------------------------------------------------------------------
      FUNCTION SATURATION_VP(P, T)
!
!
      IMPLICIT NONE
!
!
!     DUMMY ARGUMENTS
      REAL*8	!, INTENT(IN)
     &     P
!             PRESSURE
     &   , T
!             TEMPERATURE
      REAL*8	!, INTENT(OUT)
     &     SATURATION_VP
!             SATURATED VAPOUR PRESSURE
!
!
      SATURATION_VP=1.0D+02*(1.0+1.0D-08*P
     &   *(4.5D+00+6.0D-04*(T-273.15D+00)**2))
     &   *EXP((8.0061D-02*T-20.059D+00)/(4.12D-03*T-0.125378D+00))
!
!
      RETURN
      END
